/* FILTER */

.best-practices-filter {
    background: white;
    margin-bottom: 22px;
    border-radius: 15px;
    padding: 25px 35px;
}

.filter-actions {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
}

.filter-actions .reset {
    margin-left: auto;
}

.filter-title {
    color: #054055;
    font-weight: bold;
    margin-right: 2rem;
}

.best-practices-filter .line {
    margin: 20px 0;
    height: 1px;
    width: 100%;
    background: rgba(5, 64, 85, 0.25);
}

.filter-tags {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.filter-tags .tag {
    display: inline-block;
    background-color: #E6ECEE;
    border-radius: 26px;
    padding: 10px 20px;
    color: #054055;
}

.filter-tags .tag .close img {
    margin-bottom: 0;
    width: 9px;
    margin-left: 6px;
}

/* Select2 */
body .select2-container--default .select2-selection--multiple {
    background-color: rgba(236, 241, 247, 1);
    border: unset;
}

.select2-results {
    padding: 20px;
}

.select2-results__option {
    padding-right: 20px;
    vertical-align: middle;
}

.select2-results__option[aria-selected] {
    position: relative;
}

body .select2-container--default .select2-results__option--highlighted[aria-selected] {
    color: #054055;
}

.select2-results__option:before {
    content: "";
    display: inline-block;
    position: relative;
    height: 20px;
    width: 20px;
    border: 2px solid #054055;
    border-radius: 7px;
    background-color: #fff;
    margin-right: 20px;
    vertical-align: middle;
}

.select2-results__option[aria-selected=true]:after {
    content: "";
    position: absolute;
    left: 10px;
    top: 14px;
    border-radius: 4px;
    display: inline-block;
    height: 16px;
    width: 16px;
    background-color: #054055;
}

body .select2-container--default .select2-results__option[aria-selected=true] {
    background-color: #fff;
}

body .select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: white;
}

.select2-container--default .select2-selection--multiple {
    margin-bottom: 10px;
}

.select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
    border-radius: 4px;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border-width: 2px;
}

.select2-container--default .select2-selection--multiple {
    border-width: 2px;
}

.select2-container--open .select2-dropdown--below {
    border-radius: 6px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.select2-selection .select2-selection--multiple:after {
    content: 'hhghgh';
}

.select2-container--default .select2-selection--multiple ::placeholder {
    color: #054055;
}

ul.select2-selection__rendered {
    padding-right: 30px !important;
}

/* Filter Dropdown Input */
ul.select2-selection__rendered:after {
    position: absolute;
    right: 10px;
    top: 10%;
}

ul.select2-selection__rendered:before {
    position: absolute;
    top: 6px;
    left: 15px;
}

.select2-selection__choice {
    display: none !important;
}

/* Simple Filter List */
.best-practices-filter-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.best-practice-simple {
    padding: 18px 34px;
    background: white;
    border-radius: 15px;
    display: flex;
    gap: 15px;
    flex-direction: column;
    justify-content: space-between;
}

body .best-practices-filter-list .best-practice-simple img {
    border-radius: 5px;
    margin-bottom: 0;
    height: 294px;
    object-fit: cover;
}

.best-practice-simple h2 {
    margin-bottom: 0;
    font-size: 36px;
    font-weight: 700;
    line-height: 45px;
}

.best-practices .padding-2-percent > div {
    padding: 25px 35px;
    height: 100%;
}

.best-practices {
    display: grid;
    grid-template-columns: repeat(3, 32%);
    column-gap: 2%;
    row-gap: 25px;
}

body[class*="pojo-a11y-resize-font-"] .best-practices h3 {
    word-break: break-all;
}

body .best-practices > div {
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-bottom: 0 !important;
}

.nectar-global-section.before-footer.behind-overlay, #header-outer.behind-overlay {
    z-index: 9;
}

.best-practices .best-practices-list {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.best-practices li a {
    font-weight: 600;
    text-decoration: none;
}

.popup {
    display: none;
    position: fixed;
    padding: 35px;
    width: 70vw;
    left: 0;
    right: 0;
    height: 70vh;
    margin: auto;
    top: calc(50% - 35vh);
    background: #FFF;
    z-index: 999;
}

.backdrop {
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    position: fixed;
    background: rgba(5, 64, 85, 0.56);
    z-index: -2;

}

.popup:after {
    /*
    position: fixed;
    content: "";
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: rgba(5, 64, 85, 0.56);
    z-index: -2;

     */
}

.popup:before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: #FFF;
    z-index: -1;
    border-radius: 20px;
}

.popup a.close-popup {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    right: 0;
    top: 0;
    width: 30px;
    height: 30px;
    text-align: center;
    border: solid #054055 2px;
    border-radius: 5px;
    color: #054055;
    background-color: white;
    z-index: 1;
}

.popup .close-popup img {
    height: 13px;
    margin: 0;
}

.popup .grid {
    display: grid;
    grid-template-columns: 1fr .4fr;
    gap: 25px;
    height: 100%;
    position: relative;
    z-index: 998;
}

.popup h2 {
    font-size: 22px;
    line-height: 34px;
}

.popup .left-side {
    display: flex;
    flex-direction: column;
    gap: 30px;
    overflow-y: auto;
}

.popup .left-side ul {
    margin-bottom: 0;
}

.popup .post-image {
    overflow: hidden;
}

.popup .post-image .copyright {
    text-align: right;
    color: #054055;
    font-size: 15px;
    line-height: 15px;
}

.popup .post-image img {
    margin-top: 75px;
    max-height: 400px;
    object-fit: contain;
    margin-bottom: 0;
}

.popup .download-pdf a {
    font-weight: 700;
}

@media only screen and (max-width: 1060px) {
    .best-practices, .best-practices-filter-list {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media only screen and (max-width: 800px) {
    .best-practices {
        grid-template-columns: 1fr;
    }

    .select2-container {
        width: 0;
    }

    .select2-results {
        padding: 10px;
    }

    .popup {
        width: 90vw;
        height: 80vh;
        top: calc(50% - 40vh);
    }

    .popup .grid {
        grid-template-columns: 1fr;
    }

    .popup .title {
        position: fixed;
        flex-wrap: wrap;
        display: flex;
        background-color: white;
        width: calc(90vw - 75px);
    }

    .popup .left-side > div:nth-of-type(2) {
        margin-top: 35px;
    }

    .popup .post-image {
        display: none;
    }

    .filter-actions {
        gap: 10px;
    }

    .filter-actions .reset {
        margin-left: unset;
    }

    .best-practices-filter-list {
        grid-template-columns: 1fr;
        gap: 25px;
    }
}
